qtwayland-opensource-src (5.15.17-3) unstable; urgency=medium

  * Backport two upstream commits to fix flakiness in createSubsurface test
    (closes: #1113820).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 03 Sep 2025 20:05:16 +0300

qtwayland-opensource-src (5.15.17-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 01 Sep 2025 23:05:20 +0300

qtwayland-opensource-src (5.15.17-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.17.
  * Bump ABI version to 5-15-17.
  * Drop patches, included in the new release:
    - 0081-Client-Always-populate-mimedata-in-drags.patch
    - 0082-Client-Fix-enter-event-cursor-position-with-xdg-popu.patch
    - 0083-client-don-t-cache-one-type-in-QWaylandMimeData.patch
    - 0085-Revert-Client-Send-release-button-event-on-pointer-l.patch
  * Refresh other patches.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2025-05-22.
  * Remove Qt_5.x symbols from the symbols files.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 07 Jul 2025 23:07:07 +0300

qtwayland-opensource-src (5.15.15-3) unstable; urgency=medium

  * Drop B-D on libwayland-egl1-mesa | libwayland-egl1 (closes: #1101612).
    - libwayland-egl1-mesa was a transitional package since 2018.
    - libwayland-egl1 is pulled in by libwayland-dev anyway.
  * Update symbols files from buildds’ logs.
  * Bump Standards-Version to 4.7.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 01 Apr 2025 14:07:20 +0300

qtwayland-opensource-src (5.15.15-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 25 Oct 2024 12:49:29 +0300

qtwayland-opensource-src (5.15.15-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.15.
  * Bump ABI version to 5-15-15.
  * Update symbols files from buildds’ logs.
  * Drop patches, included in the new release:
    - 0067-Client-Manage-QMimeData-lifecycle.patch
    - 0068-client-Do-not-cast-placeholder-screens-to-QWaylandSc.patch
    - 0069-Client-Remove-flip-popup-constraints.patch
    - 0076-Client-Fix-the-mouse-being-stuck-in-pressed-state-af.patch
  * Refresh other patches.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2024-08-31.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 07 Sep 2024 22:30:16 +0300

qtwayland-opensource-src (5.15.13-3) unstable; urgency=medium

  * Backport upstream patch to update wayland.xml to version 1.23.0
    (closes: #1077418).
  * Update symbols files for the new protocol and for GCC 14.
  * Bump Standards-Version to 4.7.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Jul 2024 16:02:34 +0300

qtwayland-opensource-src (5.15.13-2) unstable; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Remove Timo and myself from Uploaders.

  [ Dmitry Shachnev ]
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 May 2024 18:53:46 +0300

qtwayland-opensource-src (5.15.13-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.13.
  * Bump ABI version to 5-15-13.
  * Replace pkg-config build-dependency with pkgconf.
  * Drop 0075-client-Fix-infinite-recursion-with-text-input-v2.patch,
    included in the new release.
  * Add 0082-Client-Fix-enter-event-cursor-position-with-xdg-popu.patch,
    one more patch from KDE’s collection.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Mar 2024 20:20:05 +0300

qtwayland-opensource-src (5.15.12-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.12.
  * Bump ABI version to 5-15-12.
  * Drop patches, included in the new release:
    - 0040-Fix-build-with-libcxx-missing-array-include.patch
    - 0049-Use-CRLF-line-delimiter-for-text-uri-list-data.patch
    - 0051-Avoid-calling-requestUpdate-from-wrong-thread.patch
  * Drop patches which annihilate each other:
    - 0055-Client-Ensure-that-wl_surface-lives-as-long-as-qtqui.patch
    - 0057-Revert-Client-Ensure-that-wl_surface-lives-as-long-a.patch
  * Refresh other patches.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2023-10-24.
    - Disable 0079-Client-Remove-some-surface-commits.patch, it makes the
      tests fail.
  * Remove hack for mips/mipsel, these architectures are no longer in Debian.
  * Remove build path from .prl files for reproducibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 24 Dec 2023 19:45:07 +0300

qtwayland-opensource-src (5.15.10-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 08 Jul 2023 19:19:22 +0300

qtwayland-opensource-src (5.15.10-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.10.
  * Bump ABI version to 5-15-10.
  * Drop patches, included in the new release:
    - 0042-Build-fixes-for-GCC-11.patch
    - 0047-client-Synthesize-enter-leave-event-for-popup-in-xdg.patch
  * Refresh other patches.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 12 Jun 2023 19:00:08 +0300

qtwayland-opensource-src (5.15.9-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.9.
  * Bump ABI version to 5-15-9.
  * Drop patches that are included in the new release:
    - 0018-Set-preedit-cursor-when-cursor-equals-to-0.patch
    - 0028-Fix-crash-if-no-input-method-module-could-be-loaded.patch
    - 0030-Cursor-position-0-should-still-show-the-cursor.patch
    - 0031-Update-the-preedit-styling-mapping.patch
    - 0035-client-update-button-state-and-etc-in-pointer_leave.patch
    - 0050-Fix-missing-update-when-toggling-client-side-decorat.patch
    - 0052-Client-support-high-dpi-mode-for-window-icon.patch
  * Refresh other patches.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2023-04-07.
  * Fix obsolete build-dependency: libfontconfig1-dev => libfontconfig-dev.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 23 Apr 2023 21:29:57 +0300

qtwayland-opensource-src (5.15.8-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 13 Jan 2023 12:02:19 +0400

qtwayland-opensource-src (5.15.8-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.8.
  * Bump ABI version to 5-15-8.
  * Drop patches that are included in the new release:
    - 0015-Fix-the-logic-for-decoding-modifiers-map-in-Wayland-.patch
    - 0026-Do-not-create-decorations-when-the-shellSurface-is-n.patch
  * Refresh other patches.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2023-01-05.
  * Bump Standards-Version to 4.6.2, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 06 Jan 2023 12:12:39 +0400

qtwayland-opensource-src (5.15.7-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 17 Dec 2022 18:20:40 +0300

qtwayland-opensource-src (5.15.7-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.7.
  * Bump ABI version to 5-15-7.
  * Drop 0012-Wayland-client-Fix-crash-when-windows-are-shown-hidd.patch,
    included in the new release.
  * Add patches from KDE’s Qt 5 Patch Collection up to 2022-12-04.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 04 Dec 2022 21:04:47 +0300

qtwayland-opensource-src (5.15.6-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 29 Sep 2022 11:55:49 +0300

qtwayland-opensource-src (5.15.6-1) experimental; urgency=medium

  * New upstream release.
  * Drop 0010-Do-not-update-the-mask-if-we-do-not-have-a-surface.patch,
    included in the new release.
  * Refresh other patches.
  * Add patches from KDE's Qt 5 Patch Collection up to 2022-09-09.
  * Bump Qt build-dependencies to 5.15.6.
  * Bump ABI version to 5-15-6.
  * Add one new symbol to debian/libqt5waylandclient5.symbols.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 13 Sep 2022 13:27:53 +0300

qtwayland-opensource-src (5.15.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.5.
  * Bump ABI version to 5-15-5.
  * Drop 0003-Include-locale.h-for-setlocale-LC_CTYPE.patch, included in the
    new release.
  * Add patches from KDE's Qt 5 Patch Collection up to 2022-06-20.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 30 Jul 2022 11:14:22 +0300

qtwayland-opensource-src (5.15.4-2) unstable; urgency=medium

  * Use symver directive to catch all private symbols at once.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 13 Jun 2022 21:37:01 +0300

qtwayland-opensource-src (5.15.4-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.4.
  * Bump ABI version to 5-15-4.
  * Drop fix_dead_keys.diff, included in the new release.
  * Add patches from KDE's Qt 5 Patch Collection up to 2022-05-14
    (LP: #1967659).
  * Update debian/libqt5waylandclient5.symbols.
  * Update Homepage field.
  * Bump Standards-Version to 4.6.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 14 May 2022 16:07:42 +0300

qtwayland-opensource-src (5.15.3-1) experimental; urgency=medium

  * New upstream release.
  * Update debian/watch.
  * Bump Qt build-dependencies to 5.15.3.
  * Update email address for Patrick Franz.
  * Bump ABI version to 5-15-3.
  * Bump Standards-Version to 4.6.0, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 06 Mar 2022 17:17:27 +0300

qtwayland-opensource-src (5.15.2-4) unstable; urgency=medium

  * Backport upstream patch to fix build with GCC 11 (closes: #984312).
  * Update debian/watch: use version=4, and track only 5.15.x releases.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 16 Aug 2021 15:46:20 +0300

qtwayland-opensource-src (5.15.2-3) unstable; urgency=medium

  * Backport upstream patch to fix accented and dead key combinations
    (closes: #990348).

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 10 Jul 2021 13:22:01 +0300

qtwayland-opensource-src (5.15.2-2) unstable; urgency=medium

  * Bump Standards-Version to 4.5.1, no changes needed.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 11 Dec 2020 11:32:31 +0300

qtwayland-opensource-src (5.15.2-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.2.
  * Bump ABI versions to 5-15-2.
  * Build-depend only on the needed documentation tools, not on the
    large qttools5-dev-tools package.
  * Update debian/copyright.
  * Update symbols files from the current build log.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 25 Nov 2020 14:51:59 +0300

qtwayland-opensource-src (5.15.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 28 Oct 2020 21:54:20 +0300

qtwayland-opensource-src (5.15.1-2) experimental; urgency=medium

  * Add qtwayland5-private-dev package containing the private headers
    (closes: #894472, LP: #1862987).
  * Provide virtual ABI packages and make private symbols depend on them.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 28 Sep 2020 13:03:27 +0300

qtwayland-opensource-src (5.15.1-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.15.1.
  * Update symbols files from the current build log.
  * Update to debhelper compat level 13.
    - Drop dh_missing override, --fail-missing is now default behavior.
    - Use ${DEB_HOST_MULTIARCH} substitution in the install files.
  * Update debian/copyright.
  * Stop installing CMake files for plugins (closes: #917107).
    - Remove qtwayland5 dependency from -dev packages, no longer needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 15 Sep 2020 14:46:05 +0300

qtwayland-opensource-src (5.14.2-2) unstable; urgency=medium

  * Update debian/libqt5waylandclient5.symbols from buildds’ logs.
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Jun 2020 13:07:53 +0300

qtwayland-opensource-src (5.14.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Bump debhelper-compatibility to 12:
    - Switch debhelper build dependency to debhelper-compat 12.
    - Remove debian/compat.
  * Update the Uploaders-field.
  * Bump Qt build-dependencies to 5.14.2.
  * Add Rules-Requires-Root field.
  * Bump year in debian/copyright.
  * Update list of files in libqt5waylandcompositor5-dev package.
  * Update debian/libqt5waylandclient5.symbols from the current build
    log.
  * Update debian/libqt5waylandcompositor5.symbols from the current
    build log.
  * Bump libwayland build-dependency to 1.8.0.
  * Fix linking-error, which caused missing files.
  * Add new binary package qml-module-qtwayland-client-texturesharing.

  [ Dmitry Shachnev ]
  * Skip broken tst_seatv4::animatedCursor test that fails in Debian.
  * Build-depend on dbus (needed to run tst_inputcontext test).
  * Update debian/copyright (compositor code changed license to GPL-3).

 -- Patrick Franz <patfra71@gmail.com>  Thu, 30 Apr 2020 13:59:27 +0200

qtwayland-opensource-src (5.12.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 20 Oct 2019 23:53:10 +0300

qtwayland-opensource-src (5.12.5-1) experimental; urgency=medium

  * New upstream release.
  * Bump Qt build-dependencies to 5.12.5.
  * Add Build-Depends-Package field to the symbols files.
  * Update symbols files from the current build log.
  * Bump Standards-Version to 4.4.1, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Oct 2019 23:57:47 +0300

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libqt5waylandcompositor5`.
